<html>
<head>
<title>Ogre::AnyNumeric::numholder&lt; ValueType &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">numholder</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AnyNumeric::numholder&lt; ValueType &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AnyNumeric::numholder" --><!-- doxytag: inherits="Ogre::AnyNumeric::numplaceholder" -->
<p><code>#include &lt;<a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::AnyNumeric::numholder&lt; ValueType &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1AnyNumeric_1_1numholder__inherit__graph.gif" border="0" usemap="#Ogre_1_1AnyNumeric_1_1numholder_3_01ValueType_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1AnyNumeric_1_1numholder_3_01ValueType_01_4_inherit__map" id="Ogre_1_1AnyNumeric_1_1numholder_3_01ValueType_01_4_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html" title="Ogre::AnyNumeric::numplaceholder" alt="" coords="32,83,261,112"/><area shape="rect" id="node4" href="classOgre_1_1Any_1_1placeholder.html" title="Ogre::Any::placeholder" alt="" coords="69,5,224,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1AnyNumeric_1_1numholder-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#ab9414baa5ac2efe6abe7486d4287d137">numholder</a> (const ValueType &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const std::type_info &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a30747552f8f12160cab496cf7b0d3e23">getType</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a8f39c28d0d67fec960573196e5e462a7">clone</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a2720b7413df1f0384dc6a53f618a5776">add</a> (<a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a28c881c1c5e62ebeb79d451f059fbed4">subtract</a> (<a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a09ef8fec011588204b5ffc4c00770526">multiply</a> (<a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a582605d2ca14d373552fc099760a346a">multiply</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> factor)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a5df1d61d12c35b1abc587ea2323ec1f5">divide</a> (<a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a1cd19a31e8c9e9f73824e2db792bf629">writeToStream</a> (std::ostream &amp;o)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ValueType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#af70c75bcdb763868f6c40591a1e64699">held</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename ValueType&gt;<br/>
class Ogre::AnyNumeric::numholder&lt; ValueType &gt;</h3>


<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00262">262</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab9414baa5ac2efe6abe7486d4287d137"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::numholder" ref="ab9414baa5ac2efe6abe7486d4287d137" args="(const ValueType &amp;value)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">numholder</a> </td>
          <td>(</td>
          <td class="paramtype">const ValueType &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00266">266</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2720b7413df1f0384dc6a53f618a5776"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::add" ref="a2720b7413df1f0384dc6a53f618a5776" args="(placeholder *rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a2720b7413df1f0384dc6a53f618a5776">add</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#aa37dfb658be4cb32bb248647bb7f6dd0">Ogre::AnyNumeric::numplaceholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00283">283</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00310">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00161">Ogre::MEMCATEGORY_GENERAL</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00431">OGRE_NEW_T</a>.</p>

</div>
</div>
<a class="anchor" id="a8f39c28d0d67fec960573196e5e462a7"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::clone" ref="a8f39c28d0d67fec960573196e5e462a7" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a8f39c28d0d67fec960573196e5e462a7">clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1Any_1_1placeholder.html#ad445f6f56c8869809d9619707fbbe671">Ogre::Any::placeholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00278">278</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00310">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00161">Ogre::MEMCATEGORY_GENERAL</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00431">OGRE_NEW_T</a>.</p>

</div>
</div>
<a class="anchor" id="a5df1d61d12c35b1abc587ea2323ec1f5"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::divide" ref="a5df1d61d12c35b1abc587ea2323ec1f5" args="(placeholder *rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a5df1d61d12c35b1abc587ea2323ec1f5">divide</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#acbf4855254ff7aefc864293d5da97ab4">Ogre::AnyNumeric::numplaceholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00299">299</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00310">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00161">Ogre::MEMCATEGORY_GENERAL</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00431">OGRE_NEW_T</a>.</p>

</div>
</div>
<a class="anchor" id="a30747552f8f12160cab496cf7b0d3e23"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::getType" ref="a30747552f8f12160cab496cf7b0d3e23" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual const std::type_info&amp; <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a30747552f8f12160cab496cf7b0d3e23">getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1Any_1_1placeholder.html#adbffede1819fffac5df00b2456d485ba">Ogre::Any::placeholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00273">273</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

</div>
</div>
<a class="anchor" id="a09ef8fec011588204b5ffc4c00770526"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::multiply" ref="a09ef8fec011588204b5ffc4c00770526" args="(placeholder *rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a09ef8fec011588204b5ffc4c00770526">multiply</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a10a7671b8f9cb821fb5d720c3457358b">Ogre::AnyNumeric::numplaceholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00291">291</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00310">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00161">Ogre::MEMCATEGORY_GENERAL</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00431">OGRE_NEW_T</a>.</p>

</div>
</div>
<a class="anchor" id="a582605d2ca14d373552fc099760a346a"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::multiply" ref="a582605d2ca14d373552fc099760a346a" args="(Real factor)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a09ef8fec011588204b5ffc4c00770526">multiply</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>factor</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a33346f961dc51e8a3fc0a347104f999e">Ogre::AnyNumeric::numplaceholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00295">295</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00310">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00161">Ogre::MEMCATEGORY_GENERAL</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00431">OGRE_NEW_T</a>.</p>

</div>
</div>
<a class="anchor" id="a28c881c1c5e62ebeb79d451f059fbed4"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::subtract" ref="a28c881c1c5e62ebeb79d451f059fbed4" args="(placeholder *rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a28c881c1c5e62ebeb79d451f059fbed4">subtract</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a59c82a0733cbcb1fcc662ebe8c98b7a7">Ogre::AnyNumeric::numplaceholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00287">287</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00310">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00161">Ogre::MEMCATEGORY_GENERAL</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00431">OGRE_NEW_T</a>.</p>

</div>
</div>
<a class="anchor" id="a1cd19a31e8c9e9f73824e2db792bf629"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::writeToStream" ref="a1cd19a31e8c9e9f73824e2db792bf629" args="(std::ostream &amp;o)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a1cd19a31e8c9e9f73824e2db792bf629">writeToStream</a> </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1Any_1_1placeholder.html#ac8109f388caa8709eab98200fd6aab5b">Ogre::Any::placeholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00303">303</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00310">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af70c75bcdb763868f6c40591a1e64699"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::held" ref="af70c75bcdb763868f6c40591a1e64699" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#af70c75bcdb763868f6c40591a1e64699">held</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00310">310</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00283">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::add()</a>, <a class="el" href="OgreAny_8h_source.html#l00278">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::clone()</a>, <a class="el" href="OgreAny_8h_source.html#l00299">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::divide()</a>, <a class="el" href="OgreAny_8h_source.html#l00291">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::multiply()</a>, <a class="el" href="OgreAny_8h_source.html#l00287">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::subtract()</a>, and <a class="el" href="OgreAny_8h_source.html#l00303">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::writeToStream()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAny_8h_source.html">OgreAny.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
